dissabte, 5 de novembre de 2011

Instaŀlar controlador Ralink a UbuntuStudio

Fa poc m'he posat Internet a casa. Com que el router queda prou lluny de la meua habitació he hagut de comprar-me una targeta PCI WiFi per a l'ordinador de taula. La targeta que m'he comprat és una Conceptronic C300Ri.

A l'ordinador de taula utilitze UbuntuStudio, el qual no inclou els controladors per fer servir esta targeta. A partir d'ací ha començat una odissea de cercar, seguir tutorials, fer proves, i finalment compilar els controladors i fer-la funcionar. A continuació vos resumisc els passos que he seguit.

Quan ens trobem en una situació d'este tipus el primer que hem de fer és comprovar que l'ordinador ens detecta la targeta. Per a d'això utilitzem l'ordre lspci

Busquem a la llista de dispositius quin pot ser la targeta WiFi. En este cas es:

 05:00.0 Network controller: RaLink Device 3062 


Una vegada detectada la targeta anem al web de RaLink per descarregar els controladors. En el nostre cas descarreguem el controlador RT3062PCI/mPCI/CB/PCIe(RT3060/RT3062/RT3562/RT3592)

Una vegada descarregat ho descomprimim i hi accedim a la carpeta des del terminal. 

Recomane que seguiu estos passos com a superusuari amb:


$ sudo su

Després editem el fitxer config.mk

# nano os/linux/config.mk


Canviem les següents línies:


# Support Wpa_Supplicant
HAS_WPA_SUPPLICANT=y


# Support Native WpaSupplicant for Network Manager
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y




Per defecte tindreu una n en lloc d'una y.

Tanquem el fitxer i executem:

# make && make install


Fet açò, reiniciem.

Nota: Si utilitzeu Ubuntu en lloc d'UbuntuStudio heu d'afegir a la blacklist el mòdul rt2800, carregat per defecte, ja que pot entrar en conflicte amb el controlador que acabem d'instaŀlar.

# nano /etc/modprobe.d/blacklist.conf

I afegim:

blacklist rt2800pci  

Una vegada hàgem reiniciat provem que el sistema ha carregat el mòdul correcte:

# lsmod | grep -e rt3
lsmod | grep rt3


Amb açò ja deu funcionar-vos el WiFi. 

Nota2: Si utilitzeu WICD en lloc de NetworkManager (és el meu cas) pot ser hàgeu d'editar les preferències del WICD i afegir el vostre Wireless Interface. En el meu cas ra0 en lloc del wlan0 que sol tindre el WICD per defecte.

Font | steveswinsburg

dijous, 3 de novembre de 2011

Instaŀlar Wine a Debian Wheezy (Testing)

Una cosa curiosa que m'he trobat a Debian Wheezy és que el Wine, programa per emular programari de Windows, no està inclòs als repositoris oficials.

Per a instaŀlar-lo tenim diverses maneres.

La més senzilla és afegir els repositoris d'Ubuntu (des de Lucid fins a l'actual funcionen sense problemes):

deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu lucid main 
deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu lucid main 

  Actualitzem i instaŀlem.  

# aptitude update  
# aptitude install wine

Un altra manera que tenim de fer-ho, la més recomanada pel que he vist a alguns fòrums i llistes de correu, consistix en instaŀlar la versió inestable que podem trobar a este enllaç http://dev.carbon-project.org/debian/wine-unstable/

Com podeu veure, a eixa pàgina és troben els paquets per separat. Descarregar-los un a un i instaŀlar-los pot ser costós i problemàtic. El recomanable és descarregar-los amb wget i instaŀlar-los amb dpkg.

Per a descarregar-los còmodament introduïu esta ordre al terminal:  
 
$ wget -r -A "*_i386.deb" http://dev.carbon-project.org/debian/wine-unstable/

O esta en cas de que tingueu un ordinador de 64bits.

$ wget -r -A "*_amd64.deb" http://dev.carbon-project.org/debian/wine-unstable/

Després, per a instaŀlar tots els paquets descarregats:

$ su
# dpkg -i /home/USUARI/dev.carbon-project.org/debian/wine-unstable/*.deb

Al instaŀlar-ho d'esta manera és probable que ens falten alguns paquets o algunes dependències per resoldre. Per a resoldre este problema escrivim al terminal:

# apt-get install -f


Fent açò ja deuria estar instaŀlat el Wine, però en el meu cas concret m'ha donat alguns problemes alhora de configurar alguns i instaŀlar alguns paquets. El propi terminal m'ha recomanat actualitzar la llista de repositoris i actualitzar el sistema:

# aptitude update  
# aptitude safe-upgrade 

Fent açò els problemes han desaparegut i tots els paquets han estat correctament configurats. Ara ja tinc el Wine instaŀlat i funcional, això sí, és la versió inestable amb tots els inconvenients (i avantatges) que això pot suposar. El millor és que vosaltres mateixos proveu quina versió i quin mètode d'instaŀlació vos va millor i s'adapta millor a les vostres necessitats.

Font | nicolaselie